<?php
/**
* Print users connected today in a new window
* 
* @uses $CFG, $USER, $SESSION
*/
require_once("../../config.php");
global $CFG,$USER,$SESSION;
require_login();

// Check the user
if (! $user = get_record('user', 'id', $USER->id)) {
	error("User ID was incorrect");
}

print_header(get_string('connectedtoday', 'block_graph_stats'));
$context=get_context_instance(CONTEXT_COURSE, 1);
if (has_capability('moodle/site:config', $context)) {
	echo '<h2><center>'.get_string('connectedtoday','block_graph_stats').'</center></h2><br />';
	
	if (!empty($SESSION->fullnamedisplay)) {
		$CFG->fullnamedisplay = $SESSION->fullnamedisplay;
	}
	
	echo "<ul>";
	$query = "
		SELECT DISTINCT 
			l.userid, u.firstname, u.lastname 
		FROM 
			{$CFG->prefix}log l, {$CFG->prefix}user u 
		WHERE 
			l.userid = u.id AND 
			time > ".mktime(0, 0, 0, date('m') , date('d'), date('Y'))." AND 
			time < ".mktime(23, 59, 59, date('m') , date('d'), date('Y'))." AND 
			action = 'login' 
	";
	 if ($CFG->fullnamedisplay == 'lastname firstname') {
		$query = $query."
			ORDER BY 
				u.lastname, u.firstname ASC 
		";
	 } else {
		$query = $query."
			 ORDER BY 
				u.firstname, u.lastname  ASC 
		";
	 }	 
	 if ($connections = get_recordset_sql($query)) {
		 foreach ($connections as $connection) {
			 if ($CFG->fullnamedisplay == 'firstname lastname') {
				 $fullname = $connection["firstname"].' '. $connection["lastname"];
			 } else if ($CFG->fullnamedisplay == 'lastname firstname') {
				 $fullname = $connection["lastname"].' '. $connection["firstname"];
			 } else if ($CFG->fullnamedisplay == 'firstname') {
				 $fullname = $connection["firstname"];
			 }	
			 echo '<li>'.$fullname.'</li>';
		}
	 }
	echo "</ul>";
}
print_footer('none');
?>